################################################################################
#
# Created by fc write_floorplan on Tue Dec 17 14:29:32 2024
#
################################################################################


set _dirName__0 [file dirname [file normalize [info script]]]

################################################################################
# Pins
################################################################################

set __pins [get_terminals -quiet]
if {[sizeof_collection $__pins] > 0} {
set __termShapes [get_shapes -of_objects [get_terminals * -quiet] -quiet]
if {[sizeof_collection $__termShapes] > 0} {
remove_shapes $__termShapes -force
}
set __termVias [get_vias -of_objects [get_terminals * -quiet] -quiet]
if {[sizeof_collection $__termVias] > 0} {
remove_vias $__termVias -force
}
set __termShapePatterns [get_shape_patterns -of_objects [get_terminals * -quiet] -quiet]
if {[sizeof_collection $__termShapePatterns] > 0} {
remove_shape_patterns $__termShapePatterns
}
}

################################################################################
# Read DEF
################################################################################

read_def  ${_dirName__0}/floorplan.def

################################################################################
# Macros
################################################################################

set cellInst [get_cells { \
    u_top_sram_chiplet/u_sram_chiplet_apb_subsystem/gen_snps_PVT_ts0.u_snps_PVT_ts0/u_synopsys_ts \
    }]
set_attribute -quiet -objects $cellInst -name orientation -value R0
set_attribute -quiet -objects $cellInst -name origin -value { 479.5000 160.0000 \
    }
set_attribute -quiet -objects $cellInst -name status -value placed
create_keepout_margin -type hard -outer { 1.0000 1.0000 1.0000 1.0000 } { \
    u_top_sram_chiplet/u_sram_chiplet_apb_subsystem/gen_snps_PVT_ts0.u_snps_PVT_ts0/u_synopsys_ts \
    }
create_keepout_margin -type soft -outer { 1.0000 1.0000 1.0000 1.0000 } { \
    u_top_sram_chiplet/u_sram_chiplet_apb_subsystem/gen_snps_PVT_ts0.u_snps_PVT_ts0/u_synopsys_ts \
    }
create_keepout_margin -type hard_macro -outer { 1.0000 1.0000 1.0000 1.0000 } { \
    u_top_sram_chiplet/u_sram_chiplet_apb_subsystem/gen_snps_PVT_ts0.u_snps_PVT_ts0/u_synopsys_ts \
    }

set cellInst [get_cells { \
    u_top_sram_chiplet/u_sram_chiplet_apb_subsystem/gen_snps_PVT_pd0.u_snps_PVT_pd0/u_synopsys_pd \
    }]
set_attribute -quiet -objects $cellInst -name orientation -value R0
set_attribute -quiet -objects $cellInst -name origin -value { 776.5000 160.0000 \
    }
set_attribute -quiet -objects $cellInst -name status -value placed
create_keepout_margin -type hard -outer { 1.0000 1.0000 1.0000 1.0000 } { \
    u_top_sram_chiplet/u_sram_chiplet_apb_subsystem/gen_snps_PVT_pd0.u_snps_PVT_pd0/u_synopsys_pd \
    }
create_keepout_margin -type soft -outer { 1.0000 1.0000 1.0000 1.0000 } { \
    u_top_sram_chiplet/u_sram_chiplet_apb_subsystem/gen_snps_PVT_pd0.u_snps_PVT_pd0/u_synopsys_pd \
    }
create_keepout_margin -type hard_macro -outer { 1.0000 1.0000 1.0000 1.0000 } { \
    u_top_sram_chiplet/u_sram_chiplet_apb_subsystem/gen_snps_PVT_pd0.u_snps_PVT_pd0/u_synopsys_pd \
    }

set cellInst [get_cells { \
    u_top_sram_chiplet/u_sram_chiplet_apb_subsystem/gen_snps_PLL.u_snps_PLL/u_snps_PLL \
    }]
set_attribute -quiet -objects $cellInst -name orientation -value R0
set_attribute -quiet -objects $cellInst -name origin -value { 160.0000 160.0000 \
    }
set_attribute -quiet -objects $cellInst -name status -value placed
create_keepout_margin -type hard -outer { 1.0000 1.0000 1.0000 1.0000 } { \
    u_top_sram_chiplet/u_sram_chiplet_apb_subsystem/gen_snps_PLL.u_snps_PLL/u_snps_PLL \
    }
create_keepout_margin -type soft -outer { 1.0000 1.0000 1.0000 1.0000 } { \
    u_top_sram_chiplet/u_sram_chiplet_apb_subsystem/gen_snps_PLL.u_snps_PLL/u_snps_PLL \
    }
create_keepout_margin -type hard_macro -outer { 1.0000 1.0000 1.0000 1.0000 } { \
    u_top_sram_chiplet/u_sram_chiplet_apb_subsystem/gen_snps_PLL.u_snps_PLL/u_snps_PLL \
    }

set cellInst [get_cells { \
    u_top_sram_chiplet/u_SRAM_wrapper_0/u_SRAM/g_srams[0].u_sram_32b_32k }]
set_attribute -quiet -objects $cellInst -name orientation -value R90
set_attribute -quiet -objects $cellInst -name origin -value { 480.6600 438.9100 \
    }
set_attribute -quiet -objects $cellInst -name status -value placed
create_keepout_margin -type hard -outer { 1.0000 1.0000 1.0000 1.0000 } { \
    u_top_sram_chiplet/u_SRAM_wrapper_0/u_SRAM/g_srams[0].u_sram_32b_32k }
create_keepout_margin -type soft -outer { 1.0000 1.0000 1.0000 1.0000 } { \
    u_top_sram_chiplet/u_SRAM_wrapper_0/u_SRAM/g_srams[0].u_sram_32b_32k }
create_keepout_margin -type hard_macro -outer { 1.0000 1.0000 1.0000 1.0000 } { \
    u_top_sram_chiplet/u_SRAM_wrapper_0/u_SRAM/g_srams[0].u_sram_32b_32k }
create_keepout_margin -type routing_blockage -outer { 1.0000 1.0000 1.0000 \
    1.0000 } -layers { M1 VIA1 M2 VIA2 } { \
    u_top_sram_chiplet/u_SRAM_wrapper_0/u_SRAM/g_srams[0].u_sram_32b_32k }

set cellInst [get_cells { \
    u_top_sram_chiplet/u_SRAM_wrapper_0/u_SRAM/g_srams[1].u_sram_32b_32k }]
set_attribute -quiet -objects $cellInst -name orientation -value R90
set_attribute -quiet -objects $cellInst -name origin -value { 816.3200 438.9100 \
    }
set_attribute -quiet -objects $cellInst -name status -value placed
create_keepout_margin -type hard -outer { 1.0000 1.0000 1.0000 1.0000 } { \
    u_top_sram_chiplet/u_SRAM_wrapper_0/u_SRAM/g_srams[1].u_sram_32b_32k }
create_keepout_margin -type soft -outer { 1.0000 1.0000 1.0000 1.0000 } { \
    u_top_sram_chiplet/u_SRAM_wrapper_0/u_SRAM/g_srams[1].u_sram_32b_32k }
create_keepout_margin -type hard_macro -outer { 1.0000 1.0000 1.0000 1.0000 } { \
    u_top_sram_chiplet/u_SRAM_wrapper_0/u_SRAM/g_srams[1].u_sram_32b_32k }
create_keepout_margin -type routing_blockage -outer { 1.0000 1.0000 1.0000 \
    1.0000 } -layers { M1 VIA1 M2 VIA2 } { \
    u_top_sram_chiplet/u_SRAM_wrapper_0/u_SRAM/g_srams[1].u_sram_32b_32k }

set cellInst [get_cells { \
    u_top_sram_chiplet/u_SRAM_wrapper_0/u_SRAM/g_srams[2].u_sram_32b_32k }]
set_attribute -quiet -objects $cellInst -name orientation -value R90
set_attribute -quiet -objects $cellInst -name origin -value { 1151.9800 \
    438.9100 }
set_attribute -quiet -objects $cellInst -name status -value placed
create_keepout_margin -type hard -outer { 1.0000 1.0000 1.0000 1.0000 } { \
    u_top_sram_chiplet/u_SRAM_wrapper_0/u_SRAM/g_srams[2].u_sram_32b_32k }
create_keepout_margin -type soft -outer { 1.0000 1.0000 1.0000 1.0000 } { \
    u_top_sram_chiplet/u_SRAM_wrapper_0/u_SRAM/g_srams[2].u_sram_32b_32k }
create_keepout_margin -type hard_macro -outer { 1.0000 1.0000 1.0000 1.0000 } { \
    u_top_sram_chiplet/u_SRAM_wrapper_0/u_SRAM/g_srams[2].u_sram_32b_32k }
create_keepout_margin -type routing_blockage -outer { 1.0000 1.0000 1.0000 \
    1.0000 } -layers { M1 VIA1 M2 VIA2 } { \
    u_top_sram_chiplet/u_SRAM_wrapper_0/u_SRAM/g_srams[2].u_sram_32b_32k }

set cellInst [get_cells { \
    u_top_sram_chiplet/u_SRAM_wrapper_0/u_SRAM/gen_sram.u_sram_32b_32k_N }]
set_attribute -quiet -objects $cellInst -name orientation -value R90
set_attribute -quiet -objects $cellInst -name origin -value { 1487.6400 \
    430.9100 }
set_attribute -quiet -objects $cellInst -name status -value placed
create_keepout_margin -type hard -outer { 1.0000 1.0000 1.0000 1.0000 } { \
    u_top_sram_chiplet/u_SRAM_wrapper_0/u_SRAM/gen_sram.u_sram_32b_32k_N }
create_keepout_margin -type soft -outer { 1.0000 1.0000 1.0000 1.0000 } { \
    u_top_sram_chiplet/u_SRAM_wrapper_0/u_SRAM/gen_sram.u_sram_32b_32k_N }
create_keepout_margin -type hard_macro -outer { 1.0000 1.0000 1.0000 1.0000 } { \
    u_top_sram_chiplet/u_SRAM_wrapper_0/u_SRAM/gen_sram.u_sram_32b_32k_N }
create_keepout_margin -type routing_blockage -outer { 1.0000 1.0000 1.0000 \
    1.0000 } -layers { M1 VIA1 M2 VIA2 } { \
    u_top_sram_chiplet/u_SRAM_wrapper_0/u_SRAM/gen_sram.u_sram_32b_32k_N }

set cellInst [get_cells { \
    u_top_sram_chiplet/u_SRAM_wrapper_1/u_SRAM/g_srams[0].u_sram_32b_32k }]
set_attribute -quiet -objects $cellInst -name orientation -value R90
set_attribute -quiet -objects $cellInst -name origin -value { 480.6600 \
    1824.1800 }
set_attribute -quiet -objects $cellInst -name status -value placed
create_keepout_margin -type hard -outer { 1.0000 1.0000 1.0000 1.0000 } { \
    u_top_sram_chiplet/u_SRAM_wrapper_1/u_SRAM/g_srams[0].u_sram_32b_32k }
create_keepout_margin -type soft -outer { 1.0000 1.0000 1.0000 1.0000 } { \
    u_top_sram_chiplet/u_SRAM_wrapper_1/u_SRAM/g_srams[0].u_sram_32b_32k }
create_keepout_margin -type hard_macro -outer { 1.0000 1.0000 1.0000 1.0000 } { \
    u_top_sram_chiplet/u_SRAM_wrapper_1/u_SRAM/g_srams[0].u_sram_32b_32k }
create_keepout_margin -type routing_blockage -outer { 1.0000 1.0000 1.0000 \
    1.0000 } -layers { M1 VIA1 M2 VIA2 } { \
    u_top_sram_chiplet/u_SRAM_wrapper_1/u_SRAM/g_srams[0].u_sram_32b_32k }

set cellInst [get_cells { \
    u_top_sram_chiplet/u_SRAM_wrapper_1/u_SRAM/g_srams[1].u_sram_32b_32k }]
set_attribute -quiet -objects $cellInst -name orientation -value R90
set_attribute -quiet -objects $cellInst -name origin -value { 816.3200 \
    1824.1800 }
set_attribute -quiet -objects $cellInst -name status -value placed
create_keepout_margin -type hard -outer { 1.0000 1.0000 1.0000 1.0000 } { \
    u_top_sram_chiplet/u_SRAM_wrapper_1/u_SRAM/g_srams[1].u_sram_32b_32k }
create_keepout_margin -type soft -outer { 1.0000 1.0000 1.0000 1.0000 } { \
    u_top_sram_chiplet/u_SRAM_wrapper_1/u_SRAM/g_srams[1].u_sram_32b_32k }
create_keepout_margin -type hard_macro -outer { 1.0000 1.0000 1.0000 1.0000 } { \
    u_top_sram_chiplet/u_SRAM_wrapper_1/u_SRAM/g_srams[1].u_sram_32b_32k }
create_keepout_margin -type routing_blockage -outer { 1.0000 1.0000 1.0000 \
    1.0000 } -layers { M1 VIA1 M2 VIA2 } { \
    u_top_sram_chiplet/u_SRAM_wrapper_1/u_SRAM/g_srams[1].u_sram_32b_32k }

set cellInst [get_cells { \
    u_top_sram_chiplet/u_SRAM_wrapper_1/u_SRAM/g_srams[2].u_sram_32b_32k }]
set_attribute -quiet -objects $cellInst -name orientation -value R270
set_attribute -quiet -objects $cellInst -name origin -value { 160.0000 \
    1771.1800 }
set_attribute -quiet -objects $cellInst -name status -value placed
create_keepout_margin -type hard -outer { 1.0000 1.0000 1.0000 1.0000 } { \
    u_top_sram_chiplet/u_SRAM_wrapper_1/u_SRAM/g_srams[2].u_sram_32b_32k }
create_keepout_margin -type soft -outer { 1.0000 1.0000 1.0000 1.0000 } { \
    u_top_sram_chiplet/u_SRAM_wrapper_1/u_SRAM/g_srams[2].u_sram_32b_32k }
create_keepout_margin -type hard_macro -outer { 1.0000 1.0000 1.0000 1.0000 } { \
    u_top_sram_chiplet/u_SRAM_wrapper_1/u_SRAM/g_srams[2].u_sram_32b_32k }
create_keepout_margin -type routing_blockage -outer { 1.0000 1.0000 1.0000 \
    1.0000 } -layers { M1 VIA1 M2 VIA2 } { \
    u_top_sram_chiplet/u_SRAM_wrapper_1/u_SRAM/g_srams[2].u_sram_32b_32k }

set cellInst [get_cells { \
    u_top_sram_chiplet/u_SRAM_wrapper_1/u_SRAM/gen_sram.u_sram_32b_32k_N }]
set_attribute -quiet -objects $cellInst -name orientation -value R270
set_attribute -quiet -objects $cellInst -name origin -value { 495.6600 \
    1771.1800 }
set_attribute -quiet -objects $cellInst -name status -value placed
create_keepout_margin -type hard -outer { 1.0000 1.0000 1.0000 1.0000 } { \
    u_top_sram_chiplet/u_SRAM_wrapper_1/u_SRAM/gen_sram.u_sram_32b_32k_N }
create_keepout_margin -type soft -outer { 1.0000 1.0000 1.0000 1.0000 } { \
    u_top_sram_chiplet/u_SRAM_wrapper_1/u_SRAM/gen_sram.u_sram_32b_32k_N }
create_keepout_margin -type hard_macro -outer { 1.0000 1.0000 1.0000 1.0000 } { \
    u_top_sram_chiplet/u_SRAM_wrapper_1/u_SRAM/gen_sram.u_sram_32b_32k_N }
create_keepout_margin -type routing_blockage -outer { 1.0000 1.0000 1.0000 \
    1.0000 } -layers { M1 VIA1 M2 VIA2 } { \
    u_top_sram_chiplet/u_SRAM_wrapper_1/u_SRAM/gen_sram.u_sram_32b_32k_N }

set cellInst [get_cells { \
    u_top_sram_chiplet/u_SRAM_wrapper_2/u_SRAM/g_srams[0].u_sram_32b_32k }]
set_attribute -quiet -objects $cellInst -name orientation -value R90
set_attribute -quiet -objects $cellInst -name origin -value { 1151.9800 \
    1824.1800 }
set_attribute -quiet -objects $cellInst -name status -value placed
create_keepout_margin -type hard -outer { 1.0000 1.0000 1.0000 1.0000 } { \
    u_top_sram_chiplet/u_SRAM_wrapper_2/u_SRAM/g_srams[0].u_sram_32b_32k }
create_keepout_margin -type soft -outer { 1.0000 1.0000 1.0000 1.0000 } { \
    u_top_sram_chiplet/u_SRAM_wrapper_2/u_SRAM/g_srams[0].u_sram_32b_32k }
create_keepout_margin -type hard_macro -outer { 1.0000 1.0000 1.0000 1.0000 } { \
    u_top_sram_chiplet/u_SRAM_wrapper_2/u_SRAM/g_srams[0].u_sram_32b_32k }
create_keepout_margin -type routing_blockage -outer { 1.0000 1.0000 1.0000 \
    1.0000 } -layers { M1 VIA1 M2 VIA2 } { \
    u_top_sram_chiplet/u_SRAM_wrapper_2/u_SRAM/g_srams[0].u_sram_32b_32k }

set cellInst [get_cells { \
    u_top_sram_chiplet/u_SRAM_wrapper_2/u_SRAM/g_srams[1].u_sram_32b_32k }]
set_attribute -quiet -objects $cellInst -name orientation -value R90
set_attribute -quiet -objects $cellInst -name origin -value { 1487.6400 \
    1824.1800 }
set_attribute -quiet -objects $cellInst -name status -value placed
create_keepout_margin -type hard -outer { 1.0000 1.0000 1.0000 1.0000 } { \
    u_top_sram_chiplet/u_SRAM_wrapper_2/u_SRAM/g_srams[1].u_sram_32b_32k }
create_keepout_margin -type soft -outer { 1.0000 1.0000 1.0000 1.0000 } { \
    u_top_sram_chiplet/u_SRAM_wrapper_2/u_SRAM/g_srams[1].u_sram_32b_32k }
create_keepout_margin -type hard_macro -outer { 1.0000 1.0000 1.0000 1.0000 } { \
    u_top_sram_chiplet/u_SRAM_wrapper_2/u_SRAM/g_srams[1].u_sram_32b_32k }
create_keepout_margin -type routing_blockage -outer { 1.0000 1.0000 1.0000 \
    1.0000 } -layers { M1 VIA1 M2 VIA2 } { \
    u_top_sram_chiplet/u_SRAM_wrapper_2/u_SRAM/g_srams[1].u_sram_32b_32k }

set cellInst [get_cells { \
    u_top_sram_chiplet/u_SRAM_wrapper_2/u_SRAM/g_srams[2].u_sram_32b_32k }]
set_attribute -quiet -objects $cellInst -name orientation -value R270
set_attribute -quiet -objects $cellInst -name origin -value { 831.3200 \
    1771.1800 }
set_attribute -quiet -objects $cellInst -name status -value placed
create_keepout_margin -type hard -outer { 1.0000 1.0000 1.0000 1.0000 } { \
    u_top_sram_chiplet/u_SRAM_wrapper_2/u_SRAM/g_srams[2].u_sram_32b_32k }
create_keepout_margin -type soft -outer { 1.0000 1.0000 1.0000 1.0000 } { \
    u_top_sram_chiplet/u_SRAM_wrapper_2/u_SRAM/g_srams[2].u_sram_32b_32k }
create_keepout_margin -type hard_macro -outer { 1.0000 1.0000 1.0000 1.0000 } { \
    u_top_sram_chiplet/u_SRAM_wrapper_2/u_SRAM/g_srams[2].u_sram_32b_32k }
create_keepout_margin -type routing_blockage -outer { 1.0000 1.0000 1.0000 \
    1.0000 } -layers { M1 VIA1 M2 VIA2 } { \
    u_top_sram_chiplet/u_SRAM_wrapper_2/u_SRAM/g_srams[2].u_sram_32b_32k }

set cellInst [get_cells { \
    u_top_sram_chiplet/u_SRAM_wrapper_2/u_SRAM/gen_sram.u_sram_32b_32k_N }]
set_attribute -quiet -objects $cellInst -name orientation -value R270
set_attribute -quiet -objects $cellInst -name origin -value { 1166.9800 \
    1767.1800 }
set_attribute -quiet -objects $cellInst -name status -value placed
create_keepout_margin -type hard -outer { 1.0000 1.0000 1.0000 1.0000 } { \
    u_top_sram_chiplet/u_SRAM_wrapper_2/u_SRAM/gen_sram.u_sram_32b_32k_N }
create_keepout_margin -type soft -outer { 1.0000 1.0000 1.0000 1.0000 } { \
    u_top_sram_chiplet/u_SRAM_wrapper_2/u_SRAM/gen_sram.u_sram_32b_32k_N }
create_keepout_margin -type hard_macro -outer { 1.0000 1.0000 1.0000 1.0000 } { \
    u_top_sram_chiplet/u_SRAM_wrapper_2/u_SRAM/gen_sram.u_sram_32b_32k_N }
create_keepout_margin -type routing_blockage -outer { 1.0000 1.0000 1.0000 \
    1.0000 } -layers { M1 VIA1 M2 VIA2 } { \
    u_top_sram_chiplet/u_SRAM_wrapper_2/u_SRAM/gen_sram.u_sram_32b_32k_N }

set cellInst [get_cells { \
    u_top_sram_chiplet/u_SRAM_wrapper_3/u_SRAM/g_srams[0].u_sram_32b_32k }]
set_attribute -quiet -objects $cellInst -name orientation -value R90
set_attribute -quiet -objects $cellInst -name origin -value { 1823.3000 \
    1824.1800 }
set_attribute -quiet -objects $cellInst -name status -value placed
create_keepout_margin -type hard -outer { 1.0000 1.0000 1.0000 1.0000 } { \
    u_top_sram_chiplet/u_SRAM_wrapper_3/u_SRAM/g_srams[0].u_sram_32b_32k }
create_keepout_margin -type soft -outer { 1.0000 1.0000 1.0000 1.0000 } { \
    u_top_sram_chiplet/u_SRAM_wrapper_3/u_SRAM/g_srams[0].u_sram_32b_32k }
create_keepout_margin -type hard_macro -outer { 1.0000 1.0000 1.0000 1.0000 } { \
    u_top_sram_chiplet/u_SRAM_wrapper_3/u_SRAM/g_srams[0].u_sram_32b_32k }
create_keepout_margin -type routing_blockage -outer { 1.0000 1.0000 1.0000 \
    1.0000 } -layers { M1 VIA1 M2 VIA2 } { \
    u_top_sram_chiplet/u_SRAM_wrapper_3/u_SRAM/g_srams[0].u_sram_32b_32k }

set cellInst [get_cells { \
    u_top_sram_chiplet/u_SRAM_wrapper_3/u_SRAM/g_srams[1].u_sram_32b_32k }]
set_attribute -quiet -objects $cellInst -name orientation -value R270
set_attribute -quiet -objects $cellInst -name origin -value { 1502.6400 \
    1767.1800 }
set_attribute -quiet -objects $cellInst -name status -value placed
create_keepout_margin -type hard -outer { 1.0000 1.0000 1.0000 1.0000 } { \
    u_top_sram_chiplet/u_SRAM_wrapper_3/u_SRAM/g_srams[1].u_sram_32b_32k }
create_keepout_margin -type soft -outer { 1.0000 1.0000 1.0000 1.0000 } { \
    u_top_sram_chiplet/u_SRAM_wrapper_3/u_SRAM/g_srams[1].u_sram_32b_32k }
create_keepout_margin -type hard_macro -outer { 1.0000 1.0000 1.0000 1.0000 } { \
    u_top_sram_chiplet/u_SRAM_wrapper_3/u_SRAM/g_srams[1].u_sram_32b_32k }
create_keepout_margin -type routing_blockage -outer { 1.0000 1.0000 1.0000 \
    1.0000 } -layers { M1 VIA1 M2 VIA2 } { \
    u_top_sram_chiplet/u_SRAM_wrapper_3/u_SRAM/g_srams[1].u_sram_32b_32k }

set cellInst [get_cells { \
    u_top_sram_chiplet/u_SRAM_wrapper_3/u_SRAM/g_srams[2].u_sram_32b_32k }]
set_attribute -quiet -objects $cellInst -name orientation -value R270
set_attribute -quiet -objects $cellInst -name origin -value { 1502.6400 \
    1070.5450 }
set_attribute -quiet -objects $cellInst -name status -value placed
create_keepout_margin -type hard -outer { 1.0000 1.0000 1.0000 1.0000 } { \
    u_top_sram_chiplet/u_SRAM_wrapper_3/u_SRAM/g_srams[2].u_sram_32b_32k }
create_keepout_margin -type soft -outer { 1.0000 1.0000 1.0000 1.0000 } { \
    u_top_sram_chiplet/u_SRAM_wrapper_3/u_SRAM/g_srams[2].u_sram_32b_32k }
create_keepout_margin -type hard_macro -outer { 1.0000 1.0000 1.0000 1.0000 } { \
    u_top_sram_chiplet/u_SRAM_wrapper_3/u_SRAM/g_srams[2].u_sram_32b_32k }
create_keepout_margin -type routing_blockage -outer { 1.0000 1.0000 1.0000 \
    1.0000 } -layers { M1 VIA1 M2 VIA2 } { \
    u_top_sram_chiplet/u_SRAM_wrapper_3/u_SRAM/g_srams[2].u_sram_32b_32k }

set cellInst [get_cells { \
    u_top_sram_chiplet/u_SRAM_wrapper_3/u_SRAM/gen_split_sram.u_sram_32b_16k_0 }]
set_attribute -quiet -objects $cellInst -name orientation -value R90
set_attribute -quiet -objects $cellInst -name origin -value { 2010.4800 \
    1824.1800 }
set_attribute -quiet -objects $cellInst -name status -value placed
create_keepout_margin -type hard -outer { 1.0000 1.0000 1.0000 1.0000 } { \
    u_top_sram_chiplet/u_SRAM_wrapper_3/u_SRAM/gen_split_sram.u_sram_32b_16k_0 }
create_keepout_margin -type soft -outer { 1.0000 1.0000 1.0000 1.0000 } { \
    u_top_sram_chiplet/u_SRAM_wrapper_3/u_SRAM/gen_split_sram.u_sram_32b_16k_0 }
create_keepout_margin -type hard_macro -outer { 1.0000 1.0000 1.0000 1.0000 } { \
    u_top_sram_chiplet/u_SRAM_wrapper_3/u_SRAM/gen_split_sram.u_sram_32b_16k_0 }
create_keepout_margin -type routing_blockage -outer { 1.0000 1.0000 1.0000 \
    1.0000 } -layers { M1 VIA1 M2 VIA2 } { \
    u_top_sram_chiplet/u_SRAM_wrapper_3/u_SRAM/gen_split_sram.u_sram_32b_16k_0 }

set cellInst [get_cells { \
    u_top_sram_chiplet/u_SRAM_wrapper_3/u_SRAM/gen_split_sram.u_sram_32b_16k_1 }]
set_attribute -quiet -objects $cellInst -name orientation -value R270
set_attribute -quiet -objects $cellInst -name origin -value { 1838.3000 \
    1767.1800 }
set_attribute -quiet -objects $cellInst -name status -value placed
create_keepout_margin -type hard -outer { 1.0000 1.0000 1.0000 1.0000 } { \
    u_top_sram_chiplet/u_SRAM_wrapper_3/u_SRAM/gen_split_sram.u_sram_32b_16k_1 }
create_keepout_margin -type soft -outer { 1.0000 1.0000 1.0000 1.0000 } { \
    u_top_sram_chiplet/u_SRAM_wrapper_3/u_SRAM/gen_split_sram.u_sram_32b_16k_1 }
create_keepout_margin -type hard_macro -outer { 1.0000 1.0000 1.0000 1.0000 } { \
    u_top_sram_chiplet/u_SRAM_wrapper_3/u_SRAM/gen_split_sram.u_sram_32b_16k_1 }
create_keepout_margin -type routing_blockage -outer { 1.0000 1.0000 1.0000 \
    1.0000 } -layers { M1 VIA1 M2 VIA2 } { \
    u_top_sram_chiplet/u_SRAM_wrapper_3/u_SRAM/gen_split_sram.u_sram_32b_16k_1 }


################################################################################
# User attributes of macros
################################################################################


################################################################################
# Bounds and user attributes of bound shapes
################################################################################

remove_bounds -all


################################################################################
# User attributes of bounds
################################################################################


################################################################################
# Pin guides
################################################################################

remove_pin_guides -all


################################################################################
# Module Boundaries
################################################################################

set hbCells [get_cells -quiet -filter hierarchy_type==boundary -hierarchical]
if [sizeof_collection $hbCells] {
   set_cell_hierarchy_type -type normal $hbCells
}

set_cell_hierarchy_type -boundary { {725.7711 1679.4784} {2010.9400 2479.6000} \
    } -type boundary u_top_sram_chiplet/u_SRAM_wrapper_2
set_cell_hierarchy_type -boundary { {160.0000 160.0000} {1595.5097 887.4354} } \
    -type boundary u_top_sram_chiplet/u_SRAM_wrapper_3

################################################################################
# Bump regions
################################################################################

remove_bump_regions -all

remove_pseudo_tsv_defs -all

remove_bump_regions -all

remove_bump_region_patterns -all

################################################################################
# set attributes of pseudo bumps
################################################################################

################################################################################
# set attributes of pseudo tsvs
################################################################################

################################################################################
# User attributes of bump region
################################################################################

################################################################################
# I/O guides
################################################################################

remove_io_guides -all

create_io_guide -name main_io.top -side top -line { {110.0000 2639.6000} \
    1950.9400 } -offset {0.0000 0.0000} -pad_cells { \
    TLX_data_tdata[0].u_TLX_IN_data_fwd_tdata u_PAD_VDDIO_top \
    TLX_data_tdata[1].u_TLX_IN_data_fwd_tdata \
    TLX_data_tdata[2].u_TLX_IN_data_fwd_tdata \
    TLX_data_tdata[3].u_TLX_IN_data_fwd_tdata \
    TLX_data_tdata[4].u_TLX_IN_data_fwd_tdata \
    TLX_data_tdata[5].u_TLX_IN_data_fwd_tdata \
    TLX_data_tdata[6].u_TLX_IN_data_fwd_tdata u_PAD_IN_FWD_CLK u_PAD_VSSIO_top \
    TLX_data_tdata[7].u_TLX_IN_data_fwd_tdata \
    TLX_data_tdata[8].u_TLX_IN_data_fwd_tdata \
    TLX_data_tdata[9].u_TLX_IN_data_fwd_tdata \
    TLX_data_tdata[10].u_TLX_IN_data_fwd_tdata \
    TLX_data_tdata[11].u_TLX_IN_data_fwd_tdata \
    TLX_data_tdata[12].u_TLX_IN_data_fwd_tdata \
    TLX_data_tdata[13].u_TLX_IN_data_fwd_tdata \
    TLX_data_tdata[14].u_TLX_IN_data_fwd_tdata \
    TLX_data_tdata[15].u_TLX_IN_data_fwd_tdata u_PAD_TLX_IN_flow_fwd_0_tdata_1 \
    TLX_data_tdata[0].u_TLX_IN_data_rev_tdata \
    TLX_data_tdata[1].u_TLX_IN_data_rev_tdata \
    TLX_data_tdata[2].u_TLX_IN_data_rev_tdata \
    TLX_data_tdata[3].u_TLX_IN_data_rev_tdata \
    TLX_data_tdata[4].u_TLX_IN_data_rev_tdata \
    TLX_data_tdata[5].u_TLX_IN_data_rev_tdata \
    TLX_data_tdata[6].u_TLX_IN_data_rev_tdata \
    TLX_data_tdata[8].u_TLX_IN_data_rev_tdata \
    TLX_data_tdata[9].u_TLX_IN_data_rev_tdata \
    TLX_data_tdata[10].u_TLX_IN_data_rev_tdata \
    TLX_data_tdata[11].u_TLX_IN_data_rev_tdata \
    TLX_data_tdata[12].u_TLX_IN_data_rev_tdata \
    TLX_data_tdata[13].u_TLX_IN_data_rev_tdata \
    TLX_data_tdata[14].u_TLX_IN_data_rev_tdata }
create_io_guide -name main_io.bottom -side bottom -line { {2060.9400 0.0000} \
    1950.9400 } -offset {0.0000 0.0000} -pad_cells { \
    TLX_data_tdata[8].u_TLX_data_rev_1_tdata \
    TLX_data_tdata[9].u_TLX_data_rev_1_tdata \
    TLX_data_tdata[10].u_TLX_data_rev_1_tdata \
    TLX_data_tdata[11].u_TLX_data_rev_1_tdata \
    TLX_data_tdata[12].u_TLX_data_rev_1_tdata \
    TLX_data_tdata[13].u_TLX_data_rev_1_tdata \
    TLX_data_tdata[14].u_TLX_data_rev_1_tdata \
    TLX_data_tdata[0].u_TLX_data_rev_1_tdata \
    TLX_data_tdata[1].u_TLX_data_rev_1_tdata \
    TLX_data_tdata[2].u_TLX_data_rev_1_tdata \
    TLX_data_tdata[3].u_TLX_data_rev_1_tdata \
    TLX_data_tdata[4].u_TLX_data_rev_1_tdata \
    TLX_data_tdata[5].u_TLX_data_rev_1_tdata \
    TLX_data_tdata[6].u_TLX_data_rev_1_tdata \
    TLX_data_tdata[8].u_TLX_data_fwd_1_tdata \
    TLX_data_tdata[9].u_TLX_data_fwd_1_tdata \
    TLX_data_tdata[10].u_TLX_data_fwd_1_tdata \
    TLX_data_tdata[11].u_TLX_data_fwd_1_tdata \
    TLX_data_tdata[12].u_TLX_data_fwd_1_tdata \
    TLX_data_tdata[13].u_TLX_data_fwd_1_tdata \
    TLX_data_tdata[14].u_TLX_data_fwd_1_tdata \
    TLX_data_tdata[15].u_TLX_data_fwd_1_tdata u_PAD_TLX_flow_fwd_1_tdata_1 \
    TLX_data_tdata[0].u_TLX_data_fwd_1_tdata u_PAD_VDDIO_bottom \
    TLX_data_tdata[1].u_TLX_data_fwd_1_tdata \
    TLX_data_tdata[2].u_TLX_data_fwd_1_tdata \
    TLX_data_tdata[3].u_TLX_data_fwd_1_tdata \
    TLX_data_tdata[4].u_TLX_data_fwd_1_tdata \
    TLX_data_tdata[5].u_TLX_data_fwd_1_tdata \
    TLX_data_tdata[6].u_TLX_data_fwd_1_tdata u_PAD_OUT_FWD_CLK \
    u_PAD_VSSIO_bottom TLX_data_tdata[7].u_TLX_data_fwd_1_tdata }
create_io_guide -name main_io.left -side left -line { {0.0000 110.0000} \
    2419.6000 } -offset {0.0000 0.0000} -pad_cells { \
    u_PAD_TLX_IN_data_fwd_0_tready u_PAD_TLX_IN_flow_fwd_0_tready \
    u_PAD_TLX_IN_flow_fwd_0_tdata_0 u_PAD_VDD_top \
    u_PAD_TLX_IN_data_rev_0_tready u_PAD_IN_REV_CLK \
    u_PAD_TLX_IN_flow_rev_0_tready u_PAD_TLX_IN_flow_rev_0_tdata_0 \
    u_PAD_TLX_IN_flow_rev_0_tdata_1 u_PAD_VDD_left u_PAD_VDDIO_POC_left \
    u_PAD_VSSIO_left u_PAD_DL_FWD_RESETn u_PAD_aRESETn u_PAD_VSS_left \
    u_PAD_REF_CLK u_PAD_AGNDHV_left u_PAD_AGND_left u_PAD_AVDD_left \
    u_PAD_AVDDHV_left u_PAD_TLX_flow_rev_1_tready u_PAD_TLX_flow_rev_1_tdata_0 \
    u_PAD_TLX_flow_rev_1_tdata_1 u_PAD_VDD_bottom u_PAD_TLX_data_rev_1_tready \
    u_PAD_OUT_REV_CLK u_PAD_TLX_flow_fwd_1_tready u_PAD_TLX_flow_fwd_1_tdata_0 \
    u_PAD_TLX_data_fwd_1_tready }
create_io_guide -name main_io.right -side right -line { {2170.9400 2529.6000} \
    2419.6000 } -offset {0.0000 0.0000} -pad_cells { \
    u_PAD_TLX_IN_data_fwd_0_tvalid u_PAD_TLX_IN_flow_fwd_0_tvalid \
    u_PAD_PLL_LOCK_i TLX_data_tdata[7].u_TLX_IN_data_rev_tdata \
    u_PAD_TLX_IN_data_rev_0_tvalid u_PAD_VSS_top \
    TLX_data_tdata[15].u_TLX_IN_data_rev_tdata u_PAD_TLX_IN_flow_rev_0_tdata_2 \
    u_PAD_TLX_IN_flow_rev_0_tvalid u_PAD_VSS_right \
    gen_addr_sel[0].u_PAD_addr_sel gen_addr_sel[1].u_PAD_addr_sel \
    gen_addr_sel[2].u_PAD_addr_sel gen_addr_sel[3].u_PAD_addr_sel \
    u_PAD_VDD_right u_PAD_VDDIO_right u_PAD_VSSIO_right \
    TLX_data_tdata[15].u_TLX_data_rev_1_tdata u_PAD_TLX_flow_rev_1_tdata_2 \
    u_PAD_TLX_flow_rev_1_tvalid TLX_data_tdata[7].u_TLX_data_rev_1_tdata \
    u_PAD_TLX_data_rev_1_tvalid u_PAD_VSS_bottom u_PAD_TLX_flow_fwd_1_tvalid \
    u_PAD_PLL_LOCK_o u_PAD_TLX_data_fwd_1_tvalid }

################################################################################
# User attributes of I/O guides
################################################################################


################################################################################
# Terminals/shapes/vias of ports with user attributes
################################################################################

################################################################################
# User attributes of ports
################################################################################


################################################################################
# User attributes of current block
################################################################################

set_attribute [current_design] expanded_util 0.19

