connect_pg_net -automatic

create_pg_ring_pattern ring_pattern -horizontal_layer M7 -horizontal_width {5} -horizontal_spacing {2}\
                                    -vertical_layer M6 -vertical_width {4} -vertical_spacing {2} -nets {AGND AVDD AVDDHV VDD VSS}

# 320.66 SRAM width
create_pg_mesh_pattern mesh_pattern -layers {{{vertical_layer: M6} {width: 4} {pitch: 30.566} {offset: 21.5}} \
                                                {{horizontal_layer: M5} {width: 4} {pitch: 30} {offset: 20}}}
create_pg_std_cell_conn_pattern std_pattern -layers {M2} -check_std_cell_drc false -mark_as_follow_pin false -rail_width {0.13 0.13}

set_pg_strategy core_ring -pattern {{name: ring_pattern} {nets: {VDD VSS AVDD AVDDHV AGND}} {offset: {3 3}}} -core 
set_pg_strategy M5M6_mesh -pattern {{name: mesh_pattern} {nets: {VDD VSS}}} -core -extension {{{stop : first_target}}}
set_pg_strategy std_cell_strat -core -pattern {{name: std_pattern} {nets: {VDD VSS}}}

compile_pg -strategies core_ring
compile_pg -strategies M5M6_mesh
compile_pg -strategies std_cell_strat

set_app_options -name plan.pgroute.hmpin_connection_target_layers -value M6
create_pg_macro_conn_pattern io_to_ring_h -pin_conn_type scattered_pin \
    -pin_layers {M2} -layers {M2 M6} -width 1.41 
set_pg_strategy h_io_to_ring -macros [list u_PAD_VDD_left u_PAD_VDD_top u_PAD_VSS_top u_PAD_VSS_left u_PAD_VDD_right u_PAD_VDD_top_right u_PAD_VSS_right u_PAD_VDD_bottom u_PAD_VSS_bottom] \
    -pattern {{name: io_to_ring_h}{nets: VDD VSS}}
set_pg_strategy h_io_to_ring_a -macros [list u_PAD_AVDD_left u_PAD_AVDDHV_left u_PAD_AGND_left u_PAD_AGNDHV_left]\
    -pattern {{name: io_to_ring_h}{nets: AVDD AVDDHV AGND}}

compile_pg -strategies h_io_to_ring 
compile_pg -strategies h_io_to_ring_a

set_app_options -name plan.pgroute.hmpin_connection_target_layers -value M7
create_pg_macro_conn_pattern macro_to_ring -pin_conn_type scattered_pin \
    -pin_layers {M5} -layers {M2 M6} -width 2.4
set_pg_strategy PLL_pins -macros u_top_sram_chiplet/u_sram_chiplet_apb_subsystem/gen_snps_PLL.u_snps_PLL/u_snps_PLL \
    -pattern {{name: macro_to_ring}{nets: AVDD AVDDHV AGND}}
compile_pg -strategies PLL_pins -ignore_drc

set_app_options -name plan.pgroute.hmpin_connection_target_layers -value M5
create_pg_macro_conn_pattern macro_to_strap -pin_conn_type scattered_pin \
    -pin_layers {M3} -layers {M2 M7} -width 2.5 
set_pg_strategy PLL_pins_top -macros u_top_sram_chiplet/u_sram_chiplet_apb_subsystem/gen_snps_PLL.u_snps_PLL/u_snps_PLL \
    -pattern {{name: macro_to_strap}{nets: VDD VSS}}
compile_pg -strategies PLL_pins_top -ignore_drc



set_app_options -name plan.pgroute.hmpin_connection_target_layers -value M7
create_pg_macro_conn_pattern TS_to_ring -pin_conn_type scattered_pin \
    -pin_layers {M6} -layers {M2 M6} -width 4
set_pg_strategy TS_pins -macros u_top_sram_chiplet/u_sram_chiplet_apb_subsystem/gen_snps_PVT_ts0.u_snps_PVT_ts0/u_synopsys_ts \
    -pattern {{name: TS_to_ring}{nets: AVDD VDD VSS}}
compile_pg -strategies TS_pins 

set_pg_strategy PD_pins -macros u_top_sram_chiplet/u_sram_chiplet_apb_subsystem/gen_snps_PVT_pd0.u_snps_PVT_pd0/u_synopsys_pd \
    -pattern {{name: TS_to_ring}{nets: AVDD VDD VSS}}
compile_pg -strategies PD_pins 

# insert_boundary_cells
create_boundary_cells -left_boundary_cell [get_lib_cells {cln28ht/ENDCAPTIE3_A12PP140ZTS_C35}] -right_boundary_cell [get_lib_cells {cln28ht/ENDCAPTIE3_A12PP140ZTS_C35}]

# tap cells
create_tap_cells -distance 100.0000 -lib_cell [get_lib_cells {cln28ht/FILLTIE4_A12PP140ZTS_C35}]