# SRAM Chiplet

## Prerequisite
You will need the following IP from Arm, all available through Arm Academic Access (AAA)
-   NIC400
-   NIC450 (at least the thin links IP)
-   BP301 (SIE300)

Software you will need:
-   Socrates (with NIC400 and NIC450 licenses)
-   CocoTB
-   A simulator (e.g. QuestSim, VCS, icarus Verilog) 

## Getting started
1.  Setup socrates to include the Arm IP
If you have not already done so, open socrates and associate the IP mentioned above, you will need to do this so socrates can find the IP files
2.  Edit make.cfg to include the BP301 path. 
A default path is already there that uses the ARM_IP_LIBRARY_PATH environment variable but you should edit this if needed
3.  Run first time setup
If this is a fresh clone of the repository you can run:
```make first_time_setup``` 

This will first create the socrates project needed to build the NIC400 and TLX IPs. And will also generate the RTL for the BP301 sram controller.

If you have already run ```make first_time_setup``` or ```make make_project``` you can run
```make build_ip```
which will build all the necessary IP.

4. Setup environment variables
Run ```source set_sram_chiplet_env.sh``` which will set up the local environment variables for running the flows.

## Simulation
Currently cocoTB is the only supported method of simulation.

To run the cocoTB verification, cd to verif/cocotb and run ```make``` 
This will run the default tests for the SRAM chiplet system. 

## Memory Map
|    Region       | Base Adress | Size     | End Adress |
| ------          | ------      | ------   | ------     |
| System (AXI)    | 0x00000000  | 0x1F0000 | 0x001F0000 | 
| Chiplet Debug   | 0x001F0000  | 0x10000  | 0x001FFFFF |

## Support
For support please go to [soclabs.org](https://soclabs.org/)

## Contributing
Open to collaborations, if you're interested please head over to soclabs.org and register your interest on the millisoc reference design project

## Authors and acknowledgment
Daniel Newbrook (d.newbrook@soton.ac.uk)
