
module synchr_clock_mux(
    input  wire     aresetn,
    input  wire     clk_1,
    input  wire     clk_2,
    input  wire     sel,
    output wire     out_clk
);


wire i_and1;
wire i_and2;
wire o_and1;
wire o_and2;

reg [1:0] sync_clk1;
reg [1:0] sync_clk2;

assign i_and1 = (~sel) & (~sync_clk2[1]);
assign i_and2 = sel & (~sync_clk1[1]);
assign o_and1 = sync_clk1[1] & clk_1;
assign o_and2 = sync_clk2[1] & clk_2;

always @(posedge clk_1 or negedge aresetn) begin
    if(~aresetn)
        sync_clk1[0] <= 1'b1;
    else 
        sync_clk1[0] <= i_and1;
end

always @(negedge clk_1 or negedge aresetn) begin
    if(~aresetn)
        sync_clk1[1]<= 1'b1;
    else 
        sync_clk1[1] <= sync_clk1[0];
end

always @(posedge clk_2 or negedge aresetn) begin
    if(~aresetn)
        sync_clk2[0] <= 1'b0;
    else 
        sync_clk2[0] <= i_and2;
end


always @(negedge clk_2 or negedge aresetn) begin
    if(~aresetn)
        sync_clk2[1] <= 1'b0;
    else 
        sync_clk2[1] <= sync_clk2[0];
end

assign out_clk = o_and1 | o_and2;


endmodule